<html>
 <head>
  <title>DWService API PHP Example: Account (NOAJAX)</title>
 </head>
 <?php 
	require('config.php');
	require('dwsapi.php');
		
	$alertmsg=null;
	$jsoninfo=null;
	$jsonpricelist=null;
	$jsoncost=null;
	$jsonctrans=null;
	$dwsapi = new DWSApi($dwsapiUrl, $dwsapiKey, $dwsapiSecret);
	
	function printPrice($ticket, $curency ,$price){
		return ' ('.$curency.' '.($ticket*$price).')';
	}
	
	//CHECK IF THERE ARE USER REQUEST TO DO
	if (isset($_GET['op'])){
		$sop = $_GET['op'];
		if ($sop=="addservices"){ //ADD SERVICES
			$agents=0;
			$channelsBasic=0;
			if (isset($_GET['agents'])){
				if ($_GET['agents']!=""){
					$agents = $_GET['agents'];
				}
			}
			if (isset($_GET['channelsBasic'])){
				if ($_GET['channelsBasic']!=""){
					$channelsBasic = $_GET['channelsBasic'];
				}
			}
			if (($agents>0) or ($channelsBasic>0)){
				$prop = (object) [
					'agents' => $agents,
					'channelsBasic' => $channelsBasic
				];
				try{
					$dwsapi->add_services($prop);
					$alertmsg= "Services added.";
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}
			}
		}else if ($sop=="removeservices"){ //REMOVE SERVICES		
			$agents=0;
			$channelsIDs=[];
			if (isset($_GET['agents'])){
				if ($_GET['agents']!=""){
					$agents = $_GET['agents'];
				}
			}
			foreach ($_GET as $key => $value){
				if ($value=="on"){
					array_push($channelsIDs,intval(substr($key,2)));
				}
			}
			if (($agents>0) or count($channelsIDs)>0){
				$prop = (object) [
					'agents' => $agents,
					'channelsIDs' => $channelsIDs
				];
				try{
					$dwsapi->remove_services($prop);
					$alertmsg= "Services removed.";
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}
			}
		}
	}
	
	$jsoninfo=$dwsapi->get_account_info();
	$jsonpricelist=$jsoninfo->priceList;
	$jsoncost=$jsoninfo->cost;
	$jsonctrans=$dwsapi->get_credit_transactions(365*5); //last 5 years
?>

<script src="https://www.apiremoteaccess.com/res/js/dwsapi.js" type="text/javascript"></script>

<script type="text/javascript">
	function onBodyLoad(){
		<?php
			echo("var alertmsg=");
			if ($alertmsg!=null){
				echo "'".$alertmsg."';";
			}else{
				echo "null;";
			}
		?>	
		
		if (alertmsg!=null){
			setTimeout(function(){
				alert(alertmsg);
			},200)
		}
		
		
	}	
	
</script>
<body onload="onBodyLoad();">
	<div style="padding: 4px;"><a href="index.php">BACK</a></div>
	<table style="width: 100%">
	<tbody>
		<tr>
		<td valign="top">
			<table style="width: 100%">
			<tbody>
			<tr>
				<td valign="top" style="border: 1px solid grey;">
					<div style="text-align:center; background-color: #f0f0f0; padding:4px; margin-bottom: 10px">INFO</div>
					<table cellPadding="4" style="">
					<tbody>
						<tr>
							<td style="background-color: #f0f0f0; font-weight: bold; font-size:1.5em">Credit</td>
							<?php
								echo '<td style="font-weight: bold; font-size:1.5em; color:';
								if ($jsoninfo->credit>0){
									echo 'green';
								}else{
									echo 'red';
								}								
								echo '">'.$jsoninfo->credit.' ticket'.printPrice($jsoninfo->credit,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice).'</td>';
							?>
						</tr>						
						<tr><td style="background-color: #f0f0f0">EMail</td><td><?php echo($jsoninfo->email);  ?> </td></tr>
						<tr><td style="background-color: #f0f0f0">Agents installed</td><td><?php echo($jsoninfo->agentsInstalled);  ?> </td></tr>
						<tr><td style="background-color: #f0f0f0">Agents allowed</td><td><?php echo($jsoninfo->agentsAllowed);  ?> </td></tr>		
						<tr><td style="background-color: #f0f0f0">Channels BASIC allowed</td><td><?php echo($jsoninfo->channelsBasicAllowed); ?> </td></tr>
						<tr><td style="background-color: #f0f0f0">Channels list ID</td><td><?php echo(implode(" ",$jsoninfo->channelsBasicIDs)); ?> </td></tr>		
					</tbody>
					</table>
				</td>
				<td valign="top" style="border: 1px solid grey;">	
					<div style="text-align:center; background-color: #f0f0f0; padding:4px; margin-bottom: 10px">MONTHLY COST</div>
					<table cellPadding="4" style="">
					<tbody>
						<tr><td style="background-color: #f0f0f0">Agents</td><td><?php echo($jsoncost->agents).' ticket'.printPrice($jsoncost->agents,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice); ?> </td></tr>
						<tr><td style="background-color: #f0f0f0">Channels BASIC</td><td><?php echo($jsoncost->channelsBasic.' ticket'.printPrice($jsoncost->channelsBasic,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice)); ?> </td></tr>
						<tr><td style="background-color: #f0f0f0; font-weight: bold">Total</td><td style="font-weight: bold"><?php echo($jsoncost->total.' ticket'.printPrice($jsoncost->total,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice)); ?> </td></tr>
					</tbody>
					</table>
				</td>
				<td valign="top" style="border: 1px solid grey;">
					<div style="text-align:center; background-color: #f0f0f0; padding:4px; margin-bottom: 10px">PRICE LIST (monthly)</div>
					<table cellPadding="4" style="">
					<tbody>
						<tr><td style="background-color: #f0f0f0">Ticket price</td><td><?php echo($jsonpricelist->ticketCurrency.' '.$jsonpricelist->ticketPrice); ?> </td></tr>
						<tr><td style="background-color: #f0f0f0">Agent cost</td><td><?php echo($jsonpricelist->agentCost.' ticket'.printPrice($jsonpricelist->agentCost,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice)); ?> </td></tr>
						<tr><td style="background-color: #f0f0f0">Channel BASIC cost</td><td><?php echo($jsonpricelist->channelBasicCost.' ticket'.printPrice($jsonpricelist->channelBasicCost,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice)); ?> </td></tr>
					</tbody>
					</table>
				</td>
			</tr>
			<tr>
				<td colspan="3" valign="top" style="border: 1px solid grey;">
					<div style="text-align:center; background-color: #f0f0f0; padding:4px; margin-bottom: 10px">CREDIT TRANSACTIONS</div>
					<table cellPadding="4" style="">
					<thead>
						<th>ID Transaction</th>
						<th>Date</th>
						<th>Type</th>
						<th>Amount</th>
						<th>Details</th>
						<th>Ticket price</th>
					</thead>
					<tbody>
					<?php
						foreach ($jsonctrans as $itm){
							echo '<tr>';
							echo '<td>'.$itm->id.'</td>';
							echo '<td>'.$itm->dateTimeUTC.'</td>';
							echo '<td>'.$itm->type.'</td>';
							
							if ($itm->amount>0){
								echo '<td style="white-space: nowrap; color: green">+'.$itm->amount.' ticket'.printPrice($itm->amount,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice).'</td>';
							}else{
								echo '<td style=" white-space: nowrap; color: red">'.$itm->amount.' ticket'.printPrice($itm->amount,$jsonpricelist->ticketCurrency,$jsonpricelist->ticketPrice).'</td>';
							}
							
							echo '<td style="width: 40%"><div style="padding-left: 10px; ">'.str_replace(",", ", ", json_encode($itm->details)).'</div></td>';
							
							echo '<td>'.$itm->ticketCurrency.' '.$itm->ticketPrice.'</td>';
							
							echo '</tr>';
						}
						
					?>
					</tbody>
					</table>
				</td>
			</tr>
			</tbody>
			</table>
		</td>
		<td valign="top" style="border: 1px solid grey; width:25%">
			<div style="text-align:center; background-color: #f0f0f0; padding:4px; margin-bottom: 10px">ADD SERVICES</div>
			<div>
				<form action="" method="get" style="padding: 0px; margin: 0px">
					<input name="op" type="hidden" value="addservices"></input>
					<table cellPadding="4" style="">
					<tbody>
						<tr><td style="background-color: #f0f0f0">Agents to add</td><td><input name="agents" type="text" size="5"></input></td></tr>
						<tr><td style="background-color: #f0f0f0">Channels BASIC to add</td><td><input name="channelsBasic" type="text" size="5"></input></td></tr>
						<tr><td></td><td style=""><input type="submit" value="Add services"></input></td></tr>
					</tbody>
					</table>
				</form>
			</div>
			<div style="padding:20px"></div>
			<div style="text-align:center; background-color: #f0f0f0; padding:4px; margin-bottom: 10px">REMOVE SERVICES</div>
			<div>
				<form action="" method="get" style="padding: 0px; margin: 0px">
					<input name="op" type="hidden" value="removeservices"></input>
					<table cellPadding="4" style="">
					<tbody>
						<tr><td style="background-color: #f0f0f0">Agents to remove</td><td><input name="agents" type="text" size="5"></input></td></tr>
						<tr><td style="background-color: #f0f0f0">Channels to remove (choose IDs)</td><td></td></tr>
						<?php						
							foreach ($jsoninfo->channelsBasicIDs as $itm){
								echo '<tr><td style="background-color: #f0f0f0; text-align:right;">BASIC</td><td><input name="id'.$itm.'" type="checkbox"><span>'.$itm.'</span></td></tr>';
							}
						?>						
						<tr><td></td><td style=""><input type="submit" value="Remove services"></input></td></tr>
					</tbody>
					</table>
				</form>
			</div>
		</td>
	  </tr>
	</body>
	</table>
 </html>
