<html>
 <head>
  <title>DWService API PHP Example: manage agents (NOAJAX)</title>
 </head>
 <?php 
	require('config.php');
	require('dwsapi.php');
	
	$dwsapi = new DWSApi($dwsapiUrl, $dwsapiKey, $dwsapiSecret);
	
	$alertmsg=null;
	$bredirect=false;
	$urlsession=null;
	$idchannel=null;
	try{
		if (count($dwsapi->get_account_info()->channelsBasicIDs)>0){
			$idchannel=$dwsapi->get_account_info()->channelsBasicIDs[0];
		}
	} catch (Exception $e) {
		
	}
	//CHECK IF THERE ARE USER REQUEST TO DO
	if (isset($_GET['op'])){
		$sop = $_GET['op'];
		if ($sop=="newagent"){ //CREATE AGENT
			if (isset($_GET['name'])){
				$name = $_GET['name'];
				$prop = (object) [
					'name' => $name
				];
				try{
					$dwsapi->new_agent($prop);
					$alertmsg= "Agent ".$name." created. ";
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}				
			}
		}else if ($sop=="removeagent"){ //REMOVE AGENT
			if (isset($_GET['id'])){
				$sid = $_GET['id'];
				try{
					$dwsapi->remove_agent($sid);
					$alertmsg= "Agent removed.";
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}
			}
		}else if ($sop=="newwindow"){ //OPEN SESSION IN NEW WINDOWS
			if (isset($_GET['id'])){
				if (is_null($idchannel)){
					$alertmsg= "ERROR: No channel available.";
				}else{
					try{
						$sid = $_GET['id'];
						$prop = (object) [
							'idChannel' => $idchannel,
							'idAgent' => $sid,
							'fullAccess' => true					
						];							
						header('Location: '.$dwsapi->open_session($prop)->url);
						$bredirect=true;
					} catch (Exception $e) {
						$alertmsg= "ERROR: ".$e->getMessage();
					}
				}
			}		
		}else if ($sop=="desktop"){ //OPEN SESSION IN IFRAME. APP DESKTOP.
			if (isset($_GET['id'])){
				if (is_null($idchannel)){
					$alertmsg= "ERROR: No channel available.";
				}else{
					try{
						$sid = $_GET['id'];
						$prop = (object) [
							'idChannel' => $idchannel,
							'idAgent' => $sid,
							'fullAccess' => false,
							'applications' => (object) [
									'desktop' => (object) [
											'fullAccess' => true
										]
								],
							'hideAppsBar' => true,
							'postMessageOrigin'=>$dwsapiPostMessageOrigin
						];					
						$urlsession = $dwsapi->open_session($prop)->url;				
					} catch (Exception $e) {
						$alertmsg= "ERROR: ".$e->getMessage();
					}
				}
			}
		}else if ($sop=="filesystem"){ //OPEN SESSION IN IFRAME. APP FILESYSTEM.
			if (isset($_GET['id'])){
				if (is_null($idchannel)){
					$alertmsg= "ERROR: No channel available.";
				}else{
					try{
						$sid = $_GET['id'];
						$prop = (object) [
							'idChannel' => $idchannel,
							'idAgent' => $sid,
							'fullAccess' => false,
							'applications' => (object) [
									'filesystem' => (object) [
											'fullAccess' => true
										]
								],
							'hideAppsBar' => true,
							'postMessageOrigin'=>$dwsapiPostMessageOrigin
						];
						$urlsession = $dwsapi->open_session($prop)->url;				
					} catch (Exception $e) {
						$alertmsg= "ERROR: ".$e->getMessage();
					}
				}
			}
		}
	}
?>

<script src="https://www.apiremoteaccess.com/res/js/dwsapi.js" type="text/javascript"></script>

<script type="text/javascript">
	function onBodyLoad(){
		<?php
			echo("var alertmsg=");
			if ($alertmsg!=null){
				echo "'".$alertmsg."';";
			}else{
				echo "null;";
			}
		?>	
		<?php
			echo("var urlsession=");
			if ($urlsession!=null){
				echo "'".$urlsession."';";
			}else{
				echo "null;";
			}
		?>
		
		if (alertmsg!=null){
			setTimeout(function(){
				alert(alertmsg);
			},200)
		}
		
		if (urlsession!=null){
			dwsApiOpenIFrameSession('iframeses',urlsession,apiCallbackOpen)
		}
	}
	
	function apiCallbackOpen(e){
		if (e["type"]=="CONNECTED"){
			
		}else if (e["type"]=="DISCONNECTED"){
			
		}
	}
	
	function closeSession(){
		dwsApiCloseIFrameSession('iframeses');
	}
	
</script>
<body onload="onBodyLoad();">
<?php 
if (!$bredirect){
?> 
	<table style="width: 100%;height: 100%;">
	<tbody>
		<tr>
		 <td valign="top" style="width: 40%; border: 1px solid grey;">
			<div style="padding: 4px;"><a href="index.php">BACK</a></div>
			<div style="padding: 4px;">
				<span>Download custom installer: <span>
				<a href="https://docs.dwservice.net/wp-content/uploads/api/examples/custom_install_win.exe">Windows</a>
				<span> - <span>
				<a href="https://docs.dwservice.net/wp-content/uploads/api/examples/custom_install_linux.sh">Linux</a>
				<span> - <span>
				<a href="https://docs.dwservice.net/wp-content/uploads/api/examples/custom_install_mac.dmg">MacOS</a>
			</div>				
			<div style="padding: 4px;">
				<table style=""><tbody><tr>
				<td>
					<form action="" method="get" style="padding: 0px; margin: 0px">
						<span>Agent name: </span><input name="name" type="text"></input>
						<input name="op" type="hidden" value="newagent"></input>
						<input type="submit" value="Create"></input>
					</form>
				</td>
				<td>
					<button onclick="window.location='?'">Refresh list</button>
				</td>
				</tr></tbody></table>
			</div>
			<div>
			<?php 
				//LOAD AGENT LIST
				try{
					$arr=$dwsapi->get_agents();
					echo '<table style="width: 100%;">';
					echo '<thead style="background-color: lightgray">';
					echo '<td>Name</td>';
					echo '<td>OS</td>';
					echo '<td>Status</td>';
					echo '<td>Operations</td>';
					echo '</thead>';
					echo '<tbody>';
					foreach ($arr as $itm){
						echo '<tr>';
						echo '<td>'.$itm->name.'</td>';
						echo '<td>'.$itm->osName.'</td>';
						if ($itm->state=="N"){
							echo '<td style="color: green">Online</td>';
						}else if ($itm->state=="W"){
							echo '<td style="color: orange">Wait install</td>';
						}else{
							echo '<td style="color: red">Offline</td>';
						}	
						if ($itm->state=="N"){
							echo '<td>';
							echo '<button onclick="window.location=\'?id='.$itm->id.'&op=desktop\';">Desktop</button>';
							echo '<button onclick="window.location=\'?id='.$itm->id.'&op=filesystem\';">Filesystem</button>';
							echo '<button onclick="window.open(\'?id='.$itm->id.'&op=newwindow\');">New Window</button>';
							echo '<button onclick="window.location=\'?id='.$itm->id.'&op=removeagent\';">Remove</button>';
							echo '</td>';
						}else if ($itm->state=="W"){
							echo '<td>';
							echo '<span style="color: orange">Install code: '.$itm->installCode.'<span>';
							echo '<button style="margin-left: 4px" onclick="window.location=\'?id='.$itm->id.'&op=removeagent\';">Remove</button>';
							echo '</td>';
						}else{
							echo '<td>';
							echo '<button style="margin-left: 4px" onclick="window.location=\'?id='.$itm->id.'&op=removeagent\';">Remove</button>';
							echo '</td>';
						}
						echo '</tr>';
					}
					echo '</tbody>';
					echo '</table>';
				} catch (Exception $e) {
					 echo "<div style='color: red; font-size: 22px'>Exception: ",  $e->getMessage(), "</div>";
				}
			?>
			</div>
		 </td>
		 <td style="width: 60%; border: 1px solid grey">
			<table style="width: 100%;height: 100%;">
			<tbody>
			<tr>
				<td style="height: 25px" >
					<button onclick="closeSession();">Close session</button>
				</td>
			</tr>	
			<tr>
				<td>		
					<iframe id="iframeses" 
						allowfullscreen="true" webkitallowfullscreen="true" mozallowfullscreen="true" msallowfullscreen="true" oallowfullscreen="true"
						style="width: 100%;height: 100%; border: none"></iframe>			
				</td>
			</tr>
			</tbody>
			</table>
		 </td>
	</tr>
	</tbody>
	</table>
<?php 
}
?>
 </body>
</html>
