<html>
 <head>
  <title>DWService API PHP Example: Temporary agent connection (NOAJAX)</title>
 </head>
 <?php 
	require('config.php');
	require('dwsapi.php');	

	$dwsapi = new DWSApi($dwsapiUrl, $dwsapiKey, $dwsapiSecret);
	
	$alertmsg=null;
	$urlsession=null;
	$codesession=null;
	$idchannel=null;
	try{
		if (count($dwsapi->get_account_info()->channelsBasicIDs)>0){
			$idchannel=$dwsapi->get_account_info()->channelsBasicIDs[0];
		}
	} catch (Exception $e) {
		
	}
	
	//CHECK IF THERE ARE USER REQUEST TO DO
	if (isset($_GET['op'])){
		$sop = $_GET['op'];
		if ($sop=="alltempconnection"){ //OPEN SESSION IN IFRAME. ALL APPS.
			if (is_null($idchannel)){
				$alertmsg = "ERROR: No channel available.";
			}else{
				try{
					$prop = (object) [
						'idChannel' => $idchannel,
						'fullAccess' => true,
						'hideAppsBar' => true,
						'showAppOnLoad' => "desktop",
						'postMessageOrigin'=>$dwsapiPostMessageOrigin
					];			
					$ops=$dwsapi->open_session($prop);
					$urlsession = $ops->url;
					$codesession = $ops->code;
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}
			}
		}else if ($sop=="desktoptempconnection"){ //OPEN SESSION IN IFRAME. APP DESKTOP.
			if (is_null($idchannel)){
				$alertmsg = "ERROR: No channel available.";
			}else{
				try{
					$prop = (object) [
						'idChannel' => $idchannel,
						'fullAccess' => false,
						'applications' => (object) [
								'desktop' => (object) [
										'fullAccess' => true
									]
							],
						'hideAppsBar' => true,
						'postMessageOrigin'=>$dwsapiPostMessageOrigin
					];	
					$ops=$dwsapi->open_session($prop);
					$urlsession = $ops->url;
					$codesession = $ops->code;
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}
			}
		}else if ($sop=="filesystemtempconnection"){ //OPEN SESSION IN IFRAME. APP FILESYSTEM.
			if (is_null($idchannel)){
				$alertmsg = "ERROR: No channel available.";
			}else{
				try{
					$prop = (object) [
						'idChannel' => $idchannel,
						'fullAccess' => false,
						'applications' => (object) [
								'filesystem' => (object) [
										'fullAccess' => true
									]
							],
						'hideAppsBar' => true,
						'postMessageOrigin'=>$dwsapiPostMessageOrigin
					];	
					$ops=$dwsapi->open_session($prop);
					$urlsession = $ops->url;
					$codesession = $ops->code;
				} catch (Exception $e) {
					$alertmsg= "ERROR: ".$e->getMessage();
				}
			}
		}
	}
?>

<script src="https://www.apiremoteaccess.com/res/js/dwsapi.js" type="text/javascript"></script>

<script type="text/javascript">
	
	function onBodyLoad(){
		<?php
			echo("var alertmsg=");
			if ($alertmsg!=null){
				echo "'".$alertmsg."';";
			}else{
				echo "null;";
			}
		?>	
		<?php
			echo("var urlsession=");
			if ($urlsession!=null){
				echo "'".$urlsession."';";
			}else{
				echo "null;";
			}
		?>
		
		if (alertmsg!=null){
			setTimeout(function(){
				alert(alertmsg);
			},200)
		}
		
		if (urlsession!=null){
			dwsApiOpenIFrameSession('iframeses',urlsession,apiCallbackOpen)
		}
	}
	
	function closeSession(){
		dwsApiCloseIFrameSession('iframeses');
		setTimeout(function(){
			window.location="?op=none";
		},500)
	}
	
	function getElByID(id){
		return document.getElementById(id);
	}

	
	function apiCallbackOpen(e){
		if (e["type"]=="CONNECTED"){
			var ar=e["availableApps"]
			for (var i=0;i<=ar.length-1;i++){
				getElByID("btn" + ar[i]).disabled=false;
			}			
		}else if (e["type"]=="DISCONNECTED"){
			closeSession();
		}
	}
	
	function showApp(name){
		dwsApiShowApp('iframeses', name);
	}
	
</script>
<body onload="onBodyLoad();">
<table style="width: 100%;height: 100%;">
<tbody>
<tr>
	<td style="height: 20px" >
		<div style="padding-bottom: 6px;"><a href="index.php">BACK</a></div>
		<div style="padding-bottom: 6px;">
			<span>Download custom installer "run only": </span>
			<a href="https://docs.dwservice.net/wp-content/uploads/api/examples/custom_run_win.exe">Windows</a>
			<span> - </span>
			<a href="https://docs.dwservice.net/wp-content/uploads/api/examples/custom_run_linux.sh">Linux</a>
			<span> - </span>
			<a href="https://docs.dwservice.net/wp-content/uploads/api/examples/custom_run_mac.dmg">MacOS</a>
		</div>
	<td>
</tr>
<?php
if ($codesession==null){
?>
	<tr>
		<td style="height: 25px" >
			Start temporary session:
			<button onclick="window.location='?op=alltempconnection';">Create Session (All apps)</button>
			<span>  |  </span>
			<button onclick="window.location='?op=desktoptempconnection';">Create Session (only Desktop app)</button>
			<button onclick="window.location='?op=filesystemtempconnection';">Create Session (only Filesystem app)</button>
		</td>
	</tr>	
<?php
}else{
?>
	<tr>
		<td style="height: 25px" >
			</span>Start custom installer "run only" (link above) and type the follow code:</span>
			<span><b>
			<?php
				echo($codesession)
			?>
			</b></span>
			<button onclick="closeSession()">Close session</button>
		</td>
	</tr>		
<?php
}
?>
<tr>
	<td>
	<table style="width: 100%;height: 100%;">
		<tbody>
		<tr>
			<td valign="top" style="width: 150px">
				<span style="font-size: 16px"><b>MENU</b></span><br>
				<button disabled id="btndesktop" style="width: 140px" onclick="showApp('desktop')">Desktop</button><br>
				<button disabled id="btnfilesystem" style="width: 140px" onclick="showApp('filesystem')">File System</button><br>
				<button disabled id="btnresource" style="width: 140px" onclick="showApp('resource')">Resource</button><br>
				<button disabled id="btntexteditor" style="width: 140px" onclick="showApp('texteditor')">Text Editor</button><br>
				<button disabled id="btnlogwatch" style="width: 140px" onclick="showApp('logwatch')">Log Watch</button><br>
				<button disabled id="btnshell" style="width: 140px" onclick="showApp('shell')">Shell</button><br>
			</td>
			<td style="border: solid 1px gray">		
				<iframe id="iframeses" 
					allowfullscreen="true" webkitallowfullscreen="true" mozallowfullscreen="true" msallowfullscreen="true" oallowfullscreen="true"
					style="width: 100%;height: 100%; border: none"></iframe>			
			</td>
		</tr>
		</tbody>
	</table>
	</td>
</tr>
</tbody>
</table>
</body>
</html>
